# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Name:		perl-Spellunker
Version:	0.4.0
Release:	10.%{__distinit}%{__distvers}
Summary:	Pure perl spelling checker implementation
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Spellunker/
Source0:	http://www.cpan.org/authors/id/T/TO/TOKUHIROM/Spellunker-v%{version}.tar.gz
Patch10:	Spellunker-v0.4.0-shellbang.patch
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Prereqs)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(strict)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(File::ShareDir)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(parent)
BuildRequires:	perl(Pod::Simple::Methody)
BuildRequires:	perl(Regexp::Common)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Term::ANSIColor)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(version)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(open)
BuildRequires:	perl(Test::More) >= 0.96
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:	perl(Pod::Simple::Methody)

# Avoid unwanted Win32::* dependencies
%global __requires_exclude ^perl\\(Win32::Console::ANSI\\)$

%description
%{summary}, also usable as a library.

%prep
%setup -q -n Spellunker-v%{version}

# Fix shellbangs in shipped scripts
%patch10

# Avoid unwanted Win32 dependencies prior to rpm 4.9
%if ! %{rpm49}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -v '^perl(Win32'"
%global __perl_requires %{reqfilt}
%endif

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%{_bindir}/spellunker
%{_bindir}/spellunker-pod
%{perl_vendorlib}/Spellunker.pm
%{perl_vendorlib}/Spellunker/
%{perl_vendorlib}/Test/
%{perl_vendorlib}/auto/share/dist/Spellunker/
%{_mandir}/man1/spellunker.1*
%{_mandir}/man1/spellunker-pod.1*
%{_mandir}/man3/Spellunker.3*
%{_mandir}/man3/Test::Spellunker.3*

%changelog
* Fri Apr 13 2018 Paul Howarth <paul@city-fan.org> - 0.4.0-10
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with Test::More < 0.96

* Mon Sep 26 2016 Paul Howarth <paul@city-fan.org> - 0.4.0-5
- Fix shellbangs in shipped scripts
- BR: perl-generators where available
- Prefer %%global over %%define

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.4.0-2
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Tue Nov  5 2013 Paul Howarth <paul@city-fan.org> - 0.4.0-1
- Update to 0.4.0
  - Added clear_stopwords method
- Update patch for building with Test::More < 0.88

* Wed Sep 11 2013 Paul Howarth <paul@city-fan.org> - 0.3.1-1
- Update to 0.3.1
  - Fix overly-recursive regex
- Update patch for building with Test::More < 0.88

* Sun Jul 21 2013 Paul Howarth <paul@city-fan.org> - 0.3.0-2
- Perl 5.18 rebuild

* Tue Jul  2 2013 Paul Howarth <paul@city-fan.org> - 0.3.0-1
- Update to 0.3.0
  - Added more stopwords
  - Support &amp;
  - Show correct test line number if all_pod_files_spelling_ok fails
  - Documentation fixes
  - Test "bin" and "script" directories if "blib" does not exist
  - Allow git sha1 hash
- Update patch for building with Test::More < 0.88

* Mon Jul  1 2013 Paul Howarth <paul@city-fan.org> - 0.2.3-2
- Import from Fedora

* Wed Apr 24 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-1
- Specfile generated with help of cpanspec 1.78
